import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';

@Component({
  selector: 'app-bx-prompt-modal',
  templateUrl: './bx-prompt-modal.component.html',
  styleUrls: ['./bx-prompt-modal.component.less']
})
export class BxPromptModalComponent implements OnInit {
  // 切换科室，切换弹窗
  hsLoading = false;
  @Input() show: Boolean;
  @Input() bData: Object = {};

  @Output() closeModelHs = new EventEmitter<any>();//1.组件暴露一个 EventEmitter 属性，当事件发生时，子组件利用该属性 emits(向上弹射)事件

  constructor() { }

  ngOnInit() {}
  // 关闭弹窗
  hideModal() {
    this.closeModelHs.emit(JSON.stringify({ show: false }));//emits(向上弹射)事件
  }
}


